import { EventDispatcherOptions } from "../shared/EventDispatcherOptions";
/**
 * Creates a custom event dispatcher function with the provided key that can be used to dispatch events to other components anywhere in the DOM.
 * @param eventKey The unique identifier for this event. Listening components can use this same key to listen for events.
 * @param options Options for the dispatcher.
 * @returns A function that can be used to dispatch events to other components.
 */
declare const useEventDispatch: <TPayload = {}>(eventKey: string, options?: EventDispatcherOptions) => (payload?: TPayload) => void;
export default useEventDispatch;
