import { EventDetail } from "../shared/EventDetail";
/**
 * Subscribes (or listens) for events with the provided key.
 * @param eventKey The unique identifier for the type of event to lsten for. This should match the event key used by the component implementing the useEventDispatch hook.
 * @param callback A callback that will be invoked with the EventDetail anytime the event is dispatched.
 * @returns The EventDetail of the most recently dispatched event.
 */
declare const useEventListen: <TPayload>(eventKey: string, callback?: ((detail?: EventDetail<TPayload> | undefined) => void) | undefined) => EventDetail<TPayload> | null;
export default useEventListen;
